FTP directory listing sometimes shows wrong year

RESOLVED EXPIRED

Status

()

RESOLVED EXPIRED
15 years ago
13 years ago

People

(Reporter: mathews, Assigned: dougt)

Tracking

1.7 Branch
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2) Gecko/20040308
Build Identifier: Mozilla/5.0 (X11; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.9

ftp://toms.gsfc.nasa.gov/pub/eptoms/data/oz2004
(Anonymous login).
There is one file added to the directory per day.  Firefox 0.9 on Windows XP
Service Pack 1, and Mozilla 1.4.2 on Linux (Red Hat 9) both show some of the
files as being from year 2003.  Every other FTP client I have tried shows all
files from year 2004.  (Command line FTP in Linux and Windows; gftp; FTP
Voyager; Internet Explorer.)

Reproducible: Always
Steps to Reproduce:
1. ftp://toms.gsfc.nasa.gov/pub/eptoms/data/oz2004
2. Look at the directory listing.  Near the end some of the files have the wrong
year.

Actual Results:  
       .
       .
ga040719.ept  	159 KB  07/21/2004  	01:25:00 AM
ga040720.ept 	159 KB 	07/22/2004 	01:23:00 AM
ga040721.ept 	159 KB 	07/23/2003 	12:35:00 AM
ga040722.ept 	159 KB 	07/24/2003 	01:33:00 AM
ga040723.ept 	159 KB 	07/25/2003 	12:05:00 PM
ga040724.ept 	159 KB 	07/27/2003 	11:47:00 AM
ga040725.ept 	159 KB 	07/27/2003 	12:46:00 PM
ga040726.ept 	159 KB 	07/28/2003 	01:38:00 AM
ga040727.ept 	159 KB 	07/29/2003 	12:30:00 AM
ga040728.ept 	159 KB 	07/30/2003 	01:59:00 AM
ga040729.ept 	159 KB 	07/31/2003 	12:40:00 AM
ga040730.ept 	159 KB 	08/01/2004 	01:28:00 AM
ga040731.ept 	159 KB 	08/02/2004 	12:35:00 AM
       .
       .


Expected Results:  
All lines should have year 2004.
Same here - my ftp client sees 2004, but FF sees 2003.

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040803
Firefox/0.9.1+ (djeter)

Comment 2

14 years ago
DUP of Bug 236365 ?

Comment 3

14 years ago
I'm seeing this too using:

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2
Fedora/1.0.2-1.3.1

on Fedora Core 3 Linux.

The listing of ftp://mersenne.org/gimps/ exhibits this.
Files up to and including Mar 11 are shown correctly.
Files since then (Mar 21 and later) are shown a year earlier than they really
are. This ticket is dated Apr 1 - so Mar 11 is 3 weeks ago.

Comment 4

14 years ago
->Networking:FTP
Assignee: firefox → dougt
Component: General → Networking: FTP
Product: Firefox → Core
QA Contact: general → benc
Version: unspecified → 1.7 Branch
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → EXPIRED
You need to log in before you can comment on or make changes to this bug.